Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77601 - Consistent Kernel 2.4.18-17.8.0 crash at boot when insmod ohci1394
Summary: Consistent Kernel 2.4.18-17.8.0 crash at boot when insmod ohci1394
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://www.tucks.org.uk/rh8_oops/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-10 12:17 UTC by Jez Tucker
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-24 10:33:46 UTC


Attachments (Terms of Use)

Description Jez Tucker 2002-11-10 12:17:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When registering the USB / Firewire device (it's the ohci1394 driver), the
system locks up, oops's and dumps the kernel state. FYI: the caps lock and
scroll lock also flash repeatedly.

This doesn't happen with the stock RH 8.0 kernel (2.4.18-14)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from 2.4.18-14 to 2.4.19-17.8.0 (via rhn)
2. Reboot
3. Allow machine to boot 
	

Actual Results:  Kernel oops and dumped info to /var/log/ksyms.<n>
Machine was unusable.
Required hard reset.

Expected Results:  Well, the machine should have booted alike kernel 2.4.18-14 ;-)

Additional info:

Hardware:
AMD 2200+ XP
512MB PC2700
Gigabyte GA-7VAXP (via KT400 chipset)
Onboard USB 2.0, 1.0, Firewire (all configured 'on' in BIOS)
PCI QLogic SCSI (ISP1020 driver)

Installed RH 8.0 as W/S.

See URL for in depth info.

Comment 1 Jez Tucker 2002-12-24 10:33:46 UTC
Made incorrect diagnosis.

Problem actually occurs slightly before.

Actual problem is failure to insmod qlogicisp module, resulting in kernel dump.

Occurs on any kernel released later than 2.4.18-14

Can be reproduced on multiple machines with different hardware and different 
(but identical model) qlogic isp 1020 scsi cards.

Will create new bug report concerning above issue.


Note You need to log in before you can comment on or make changes to this bug.